#
# spec file for package ghc-concurrent-output
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name concurrent-output
Name:           ghc-%{pkg_name}
Version:        1.7.9
Release:        1.11
Summary:        Ungarble output from several threads or commands
License:        BSD-2-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-terminal-size-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Lets multiple threads and external processes concurrently output to the
console, without it getting all garbled up.

Built on top of that is a way of defining multiple output regions, which are
automatically laid out on the screen and can be individually updated by
concurrent threads. Can be used for progress displays etc.

<<https://joeyh.name/code/concurrent-output/demo2.gif>>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG TODO

%changelog
* Mon Feb 20 2017 psimons@suse.com
- Update to version 1.7.9 with cabal2obs.
* Mon Jan  9 2017 psimons@suse.com
- Update to version 1.7.8 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.7.7 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.7.6 revision 0 with cabal2obs.
* Wed May 11 2016 mimi.vx@gmail.com
- update to 1.7.6
  * Update transformers dep to allow 0.5.
* Mon May  2 2016 mimi.vx@gmail.com
- update to 1.7.5
  * createProcessConcurrent and System.Process.Concurrent are now available on Windows
* Wed Mar 30 2016 psimons@suse.com
- Fix License tag to "BSD-2-Clause".
- Fix date stamp syntax in changelog.
* Tue Mar 15 2016 mimi.vx@gmail.com
- update to 1.7.4
  * Update process dep to allow 1.4
* Mon Feb 22 2016 psimons@suse.com
- initial version concurrent-output-1.7.3
